GET /v1/issuing/cards

stripe.com

Summary:
Operation ID: GetIssuingCards
Auth: unknown
Description

<p>Returns a list of Issuing <code>Card</code> objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.</p>

Parameters (11)

cardholder (string, query, optional)

Only return cards belonging to the Cardholder with the provided ID.

Constraints: {'maxLength': 5000}

created (?, query, optional)

Only return cards that were issued during the given date interval.

ending_before (string, query, optional)

A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

Constraints: {'maxLength': 5000}

exp_month (integer, query, optional)

Only return cards that have the given expiration month.

exp_year (integer, query, optional)

Only return cards that have the given expiration year.

expand (array, query, optional)

Specifies which fields in the response should be expanded.

last4 (string, query, optional)

Only return cards that have the given last four digits.

Constraints: {'maxLength': 5000}

limit (integer, query, optional)

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after (string, query, optional)

A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

Constraints: {'maxLength': 5000}

status (string, query, optional)

Only return cards that have the given status. One of `active`, `inactive`, or `canceled`.

Constraints: {'enum': ['active', 'canceled', 'inactive']}

type (string, query, optional)

Only return cards that have the given type. One of `virtual` or `physical`.

Constraints: {'enum': ['physical', 'virtual']}

No probe data for this endpoint yet.